/*!
 * @file spawning_point.h
 *  Definition of a spawning point within the game, used for network game
 */


#ifndef _SPAWNING_POINT
#define _SPAWNING_POINT

#include "world_entity.h"

//! The spawning point for world entities
class SpawningPoint : public WorldEntity {

  public:
    SpawningPoint (const Vector& absCoordinate = Vector(0.0, 0.0, 0.0));
    virtual ~SpawningPoint ();


    void spawn();
    void setSpawningEntity();


    virtual void tick(float dt);
    virtual void draw();

  private:

};

#endif /* _SPAWNING_POINT */
